package com.uas.account.dao;

import java.util.List;

import com.uas.account.core.Page;
import com.uas.account.entity.Asset;

public interface AssetDao {

	Asset save(Asset asset);

	Asset findOne(Long id);

	int countByApp(String appId);

	List<Asset> findByApp(String appId);

	void delete(Asset asset);

	Page<Asset> findAll(String appId, int pageNumber, int pageSize);

}
